Page MenuHomePhabricator

Wikidata descriptions are not showing in beta unless enabled in stable
Closed, ResolvedPublic1 Story Points

Description

Despite https://en.m.wikipedia.org/wiki/The_Fillmore having a wikidata description it does not show in the mobile site. I'm not sure how long it hasn't been showing but it was certainly before the SWAT on Thursday.

Please can we just push it?
So many headaches.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAlways show Wikidata descriptions in beta mode
mediawiki/extensions/MobileFrontend : masterAlways show Wikidata descriptions in beta mode

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2016, 11:21 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-77-Segmentation-fault board.
bmansurov changed the task status from Open to Stalled.Jul 26 2016, 7:47 AM

Wikidata descriptions as taglines are enabled only on the following wikis (https://github.com/wikimedia/operations-mediawiki-config/blob/master/dblists/wikidatadescriptions.dblist):

testwikidatawiki
testwiki
test2wiki
cawiki
plwiki

The config is at https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php#L14275.

It's not clear whether the task is asking to enable Wikidata descriptions on enwiki. Marking as stalled for now.

Jhernandez changed the task status from Stalled to Open.Jul 26 2016, 9:33 AM

@bmansurov wikidata descriptions are supposed to show up in beta in all wikis. But that is not happening, it is only showing up in wikis that have them enabled in stable.

Testing criteria

If it needs more clarification please ping me.

OK, makes sense.

Change 301146 had a related patch set uploaded (by Bmansurov):
Always show Wikidata descriptions in beta mode

https://gerrit.wikimedia.org/r/301146

bmansurov removed bmansurov as the assignee of this task.Jul 26 2016, 4:47 PM
bmansurov added a subscriber: bmansurov.

Change 301146 merged by jenkins-bot:
Always show Wikidata descriptions in beta mode

https://gerrit.wikimedia.org/r/301146

Jhernandez set the point value for this task to 1.Jul 26 2016, 5:10 PM

Change 301344 had a related patch set uploaded (by Bmansurov):
Always show Wikidata descriptions in beta mode

https://gerrit.wikimedia.org/r/301344

Change 301344 merged by jenkins-bot:
Always show Wikidata descriptions in beta mode

https://gerrit.wikimedia.org/r/301344

bmansurov removed bmansurov as the assignee of this task.Jul 28 2016, 3:13 PM
Jhernandez closed this task as Resolved.Jul 29 2016, 10:18 AM
Jhernandez claimed this task.

Seems resolved. We shall reopen if this shows up again.